Forum: Ruby Installing json-1.1.1 gem on windows xp

Announcement (2017-05-07): www.ruby-forum.com is now read-only since I unfortunately do not have the time to support and maintain the forum any more. Please see rubyonrails.org/community and ruby-lang.org/en/community for other Rails- und Ruby-related community platforms.
B6d7dffed1196ab1a2ac35504a0cb03c?d=identicon&s=25 Sumanth Krishna (sumi)
on 2007-07-30 09:36
Hi all,
    I was trying to install the json extension gem... but says 'Error
failed to create local extension/nmake ....'
When I went through the conf file it showed it requires both mkmf (meant
for extensions) and rbconfig...
Now the question where do I get these files and how do I install them on
my win-xp os...
Thanks in advance...

Sumanth.
D84df7c68f790e492c4ad4ec5fe65547?d=identicon&s=25 Florian Frank (Guest)
on 2007-07-30 11:40
(Received via mailing list)
Sumanth Ambati wrote:
>     I was trying to install the json extension gem... but says 'Error
> failed to create local extension/nmake ....'
> When I went through the conf file it showed it requires both mkmf (meant
> for extensions) and rbconfig...
> Now the question where do I get these files and how do I install them on
> my win-xp os...
> Thanks in advance...

This sounds as if you try to compile the gem on your Windows box. This
is a PITA
on this operating system (it comes with no vendor compiler toolchain by
default)
and/or with Ruby (only the One Click Installer?) It might not be
possible at
all. It's perhaps better, if you use the Windows binary (mswin32
platform) gem I
provide on rubyforge in this case.

You can also try to install the Visual C++ development environment and
Microsoft's Platform SDK and use the provided Rakefile to create this
gem
yourself, if you still have problems. But this is not for the faint of
heart:
the installation of these two archives takes forever, you have to
configure all
the correct environment variables, and you also have to edit Ruby's
config.h if
you want to use a current version of Visual C++. If all things are
configured
correctly and in place, it works quite well, though. The whole process
still
feels rather hackish to me -- it pisses me off every time I have to walk
through it.
8a85c693f13ef7cb542ef94d2a403d4d?d=identicon&s=25 Luc Heinrich (Guest)
on 2007-07-31 13:29
(Received via mailing list)
On 30 juil. 07, at 11:39, Florian Frank wrote:

> This sounds as if you try to compile the gem on your Windows box.

Maybe not. I had the exact same problem a while back when trying to
install (not compile, install) the json gem (yes, the win32 "variant"
which should contain a precompiled binary) on a Windows XP system,
and it just kept failing with the same error message. Since I'm
always trying to keep my usage of Windows to the bare minimum to keep
a good mental health, I just switched to json-pure to be done with it :)

But I'd love to hear more about this.
B6d7dffed1196ab1a2ac35504a0cb03c?d=identicon&s=25 Sumanth Krishna (sumi)
on 2007-08-01 07:17
Well thanks for your suggestions guys.
The problem got solved when I installed the json-1.1.1-mswin32 gem and
now I am able to suer the parse method of json.

Sumanth
B6d7dffed1196ab1a2ac35504a0cb03c?d=identicon&s=25 Sumanth Krishna (sumi)
on 2007-08-01 16:49
I just saw that the JSON comes as the module with ruby...
(http://caboo.se/doc/classes/ActiveSupport/JSON.html).  How do I include
this module and make use of the functions like encode and decode?  I do
not think that JSON gem is required since we already have the module...

Any help in this regard, welcome.    Thanks in advance!

Sumanth.
184e548ee4961df0b430e8221c58fb4e?d=identicon&s=25 Mehedi Hasan (mehedi4055)
on 2007-08-09 09:16
Sumanth Ambati wrote:
> Hi all,
>     I was trying to install the json extension gem... but says 'Error
> failed to create local extension/nmake ....'
> When I went through the conf file it showed it requires both mkmf (meant
> for extensions) and rbconfig...
> Now the question where do I get these files and how do I install them on
> my win-xp os...
> Thanks in advance...
>
> Sumanth.

hi all..
I am very new developer in ruby on rails... I faced the same prob..
same configuration as u ...
but still problem is not solved so what can i do? can u tell me
plzzzzz..

Mehedi

if u help me then i send u a thanks...otherwise sorry...
This topic is locked and can not be replied to.